/*** Global styles (a little hacky but necessary) ***/
* {
    margin: 0;
    padding: 0;
}

body,
html {
    height: 100%;
}

html {
    display: table;
}

body {
    display: table-cell;
}

body {
    font-family: "Lucida Console", Monaco, monospace;
    color: white;
    background-color: #000000;
    font-size: 16px;
    font-weight: bolder;
    overflow-x: hidden;
    height: 100%;
}

canvas {
    position: absolute;
    background-color: rgb(0, 0, 0, 0);
    width: 100%;
    height: 100%;
}

/*** Preloader Style ***/
body {
    overflow: hidden;
}

#preloader {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #000;
    /* change if the mask should have another color then white */
    z-index: 99;
    /* makes sure it stays on top */
}

#status {
    width: 200px;
    height: 200px;
    position: absolute;
    left: 50%;
    /* centers the loading animation horizontally one the screen */
    top: 50%;
    /* centers the loading animation vertically one the screen */
    background-image: url(../img/status.gif);
    /* path to your loading animation */
    background-repeat: no-repeat;
    background-position: center;
    margin: -100px 0 0 -100px;
    /* is width and height divided by two */
}

.loader-container {
    display: flex;
    position: fixed;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    align-items: center;
    justify-content: center;
    flex-direction: column;
}

.sun-container {
    position: relative;
    opacity: .85;
    height: 300px;
    width: 300px;
}

.sun {
    border: #000 1px solid;
    width: 100%;
    height: 100%;
    background: -moz-linear-gradient(92deg, #3efeff 0%, #3efeff 45%, #d100b1 100%);
    /* ff3.6+ */
    background: -webkit-gradient(linear, left top, left bottom, color-stop(0%, #d100b1), color-stop(55%, #3efeff), color-stop(100%, #3efeff));
    /* safari4+,chrome */
    background: -webkit-linear-gradient(92deg, #3efeff 0%, #3efeff 45%, #d100b1 100%);
    /* safari5.1+,chrome10+ */
    background: -o-linear-gradient(92deg, #3efeff 0%, #3efeff 45%, #d100b1 100%);
    /* opera 11.10+ */
    background: -ms-linear-gradient(92deg, #3efeff 0%, #3efeff 45%, #d100b1 100%);
    /* ie10+ */
    background: linear-gradient(358deg, #3efeff 0%, #3efeff 45%, #d100b1 100%);
    /* w3c */
    filter: progid:DXImageTransform.Microsoft.gradient(startColorstr='#d100b1', endColorstr='#3efeff', GradientType=0);
    /* ie6-9 */
    border-radius: 50%;
    position: relative;
    overflow: hidden;
    -webkit-box-shadow: -2px 9px 91px 11px rgba(0, 0, 0, 0.75);
    -moz-box-shadow: -2px 9px 91px 11px rgba(0, 0, 0, 0.75);
    box-shadow: -2px 9px 91px 11px rgba(0, 0, 0, 0.75);
}

.sun-plane {
    position: absolute;
    top: 0;
    overflow: hidden;
    text-align: center;
    border-radius: 50%;
    width: 100%;
    height: 100%;
}

.sun-plane img {
    width: 90%;
    margin-top: 30%;
}

.bars {
    width: 100%;
    height: 200%;
    top: -100%;
    margin-top: 0px;
    position: absolute;
    -webkit-animation: movebars 13s linear infinite;
    overflow: hidden;
}

.bar {
    height: 2.5%;
    width: 100%;
    background-color: black;
    margin-bottom: 5%;
    -webkit-box-shadow: inset -2px -1px 137px -30px rgba(40, 0, 54, 0.58);
    -moz-box-shadow: inset -2px -1px 137px -30px rgba(40, 0, 54, 0.58);
    box-shadow: inset -2px -1px 137px -30px rgba(40, 0, 54, 0.58);

}

@-webkit-keyframes movebars {
    0% {
        margin-top: 0px;
    }

    100% {
        margin-top: 100%;
    }
}

@-moz-keyframes movebars {
    0% {
        margin-top: 0px;
    }

    100% {
        margin-top: 100%;
    }
}

@-o-keyframes movebars {
    0% {
        margin-top: 0px;
    }

    100% {
        margin-top: 100%;
    }
}

/*** Image Filter ***/

.filter {
    -webkit-filter: brightness(0) invert(1);
    filter: brightness(0) invert(1);
}

.filter:hover {
    -webkit-filter: brightness(1) invert(0);
    filter: brightness(1) invert(0);
}


/*** Text Elements ***/

h3 {
    font-family: "Lucida Console", Monaco, monospace;
    color: white;
    font-size: 20px;
}

.title {
    color: #d100b1;
    /* display: block; */
    font-family: 'Yellowtail', cursive;
    font-size: 40px;
    margin-bottom: 0px;
}

h5 {
    font-family: "Lucida Console", Monaco, monospace;
    color: white;
    font-size: 12px;
}

a.anchor {
    display: block;
    position: relative;
    top: -65px;
    visibility: hidden;
    z-index: 99999;
}

a {
    color: #3efeff;
    text-decoration: underline;
}

a:hover{
    color: #2bb3b3;
}

/*** Tab Elements ***/

.tabs-bar {
    padding-top: 20px;
    /* padding-bottom: 20px; */
}

.tabs-bar a {
    font-family: "Lucida Console", Monaco, monospace;
    display: inline;
    margin: 10px;
    position: relative;
    padding: 15px;
    line-height: 4em;
    border: #3efeff solid 2px;
    color: white;
    font-size: 20px;
    text-decoration: none;
}

/*** Layout Elements ***/

.panel {
    /* This is a stub for styling invidiual FAQs */
}

.side-image {
    width: 80%;
    padding: 100px 20px 100px 20px;
}

.button {
    background-color: #29afaf;
    color: #fff;
    font-size: 24px;
}

.info-container {
    border: #3efeff solid 2px;
    padding: 20px;
    margin: 30px 10px 30px 10px;
    z-index: 9999 !important;
}